diff --git a/game/core/src/main/java/net/minecraft/core/entity/Mob.java b/game/core/src/main/java/net/minecraft/core/entity/Mob.java
index 15f80f785..56f029b0d 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/Mob.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/Mob.java
@@ -504,199 +476,169 @@ public abstract class Mob extends Entity
 
     public void eatFood(ItemFood food) {
         if (food == null) return;
-        if (food.getTicksPerHeal() == 0 || world.getGameRuleValue(GameRules.INSTANT_HEALING)) {
+        if (food.getTicksPerHeal() == 0 || this.world.getGameRuleValue(GameRules.INSTANT_HEALING)) {
             heal(food.getHealAmount());
         } else {
-            if (consumedFood.containsKey(food)) {
-                consumedFood.get(food).addFood();
+            if (this.consumedFood.containsKey(food)) {
+                this.consumedFood.get(food).addFood();
             } else {
-                consumedFood.put(food, new ConsumedFood(this, food));
+                this.consumedFood.put(food, new ConsumedFood(this, food));
             }
         }
     }
 
     @Override
-    public boolean hurt(Entity attacker, int damage, DamageType type)
-    {
-        if(world.isClientSide)
-        {
+    public boolean hurt(Entity attacker, int damage, DamageType type) {
+        if (this.world.isClientSide) {
             return false;
         }
-        entityAge = 0;
-        if(getHealth() <= 0)
-        {
+        this.entityAge = 0;
+        if (getHealth() <= 0) {
             return false;
         }
-        walkAnimSpeed = 1.5F;
+        this.walkAnimSpeed = 1.5F;
         boolean flag = true;
-        if((float) heartsFlashTime > (float)heartsHalvesLife / 2.0F)
-        {
-            if(damage <= lastDamage)
-            {
+        if ((float) this.heartsFlashTime > (float) this.heartsHalvesLife / 2.0F) {
+            if (damage <= this.lastDamage) {
                 return false;
             }
-            damageEntity(damage - lastDamage, type);
-            lastDamage = damage;
+            damageEntity(damage - this.lastDamage, type);
+            this.lastDamage = damage;
             flag = false;
-        } else
-        {
-            lastDamage = damage;
-            prevHealth = getHealth();
-            prevBonusHealth = bonusHealth;
-            heartsFlashTime = heartsHalvesLife;
+        } else {
+            this.lastDamage = damage;
+            this.prevHealth = getHealth();
+            this.prevBonusHealth = this.bonusHealth;
+            this.heartsFlashTime = this.heartsHalvesLife;
             damageEntity(damage, type);
             if (damage > 0) {
-                hurtTime = maxHurtTime = 10;
+                this.hurtTime = this.maxHurtTime = 10;
             }
         }
-        attackedAtYaw = 0.0F;
-        if(flag)
-        {
+        this.attackedAtYaw = 0.0F;
+        if (flag) {
             markHurt();
-            if(attacker != null)
-            {
-                double d = attacker.x - x;
+            if (attacker != null) {
+                double d = attacker.x - this.x;
                 double d1;
-                for(d1 = attacker.z - z; d * d + d1 * d1 < 0.0001D; d1 = (java.lang.Math.random() - java.lang.Math.random()) * 0.01D)
-                {
+                for (d1 = attacker.z - this.z; d * d + d1 * d1 < 0.0001D; d1 = (java.lang.Math.random() - java.lang.Math.random()) * 0.01D) {
                     d = (java.lang.Math.random() - java.lang.Math.random()) * 0.01D;
                 }
 
-                attackedAtYaw = (float)((java.lang.Math.atan2(d1, d) * 180D) / Math.PI) - yRot;
+                this.attackedAtYaw = (float) ((java.lang.Math.atan2(d1, d) * 180D) / Math.PI) - this.yRot;
                 knockBack(attacker, damage, d, d1);
-            } else
-            {
-                attackedAtYaw = (int)(java.lang.Math.random() * 2D) * 180;
+            } else {
+                this.attackedAtYaw = (int) (java.lang.Math.random() * 2D) * 180;
             }
-            world.sendTrackedEntityStatusUpdatePacket(this, (byte)2, attackedAtYaw);
+            this.world.sendTrackedEntityStatusUpdatePacket(this, (byte) 2, this.attackedAtYaw);
         }
         // :)
-        if(getHealth() <= 0)
-        {
-            if(flag)
-            {
-            	playDeathSound();
+        if (getHealth() <= 0) {
+            if (flag) {
+                playDeathSound();
             }
             onDeath(attacker);
-        } else
-        if(flag && damage > 0)
-        {
-        	playHurtSound();
+        } else if (flag && damage > 0) {
+            playHurtSound();
         }
         return true;
     }
 
     @Override
-	public void animateHurt()
-    {
-        hurtTime = maxHurtTime = 10;
-        attackedAtYaw = 0.0F;
+    public void animateHurt() {
+        this.hurtTime = this.maxHurtTime = 10;
+        this.attackedAtYaw = 0.0F;
     }
 
-    protected void damageEntity(int i, DamageType damageType)
-    {
+    protected void damageEntity(int i, DamageType damageType) {
         setHealthRaw(getHealth() - i);
     }
 
-    protected float getSoundVolume()
-    {
+    protected float getSoundVolume() {
         return 1.0F;
     }
 
-    public @Nullable String getLivingSound()
-    {
+    public @Nullable String getLivingSound() {
         return null;
     }
 
-    protected String getHurtSound()
-    {
+    protected String getHurtSound() {
         return "random.hurt";
     }
 
-    protected String getDeathSound()
-    {
+    protected String getDeathSound() {
         return "random.hurt";
     }
 
-    public void knockBack(Entity entity, int i, double d, double d1)
-    {
+    public void knockBack(Entity entity, int i, double d, double d1) {
         float f = MathHelper.sqrt(d * d + d1 * d1);
         float f1 = 0.4F;
-        xd /= 2D;
-        yd /= 2D;
-        zd /= 2D;
-        xd -= (d / (double)f) * (double)f1;
-        yd += 0.40000000596046448D;
-        zd -= (d1 / (double)f) * (double)f1;
-        if(yd > 0.40000000596046448D)
-        {
-            yd = 0.40000000596046448D;
+        this.xd /= 2D;
+        this.yd /= 2D;
+        this.zd /= 2D;
+        this.xd -= (d / (double) f) * (double) f1;
+        this.yd += 0.40000000596046448D;
+        this.zd -= (d1 / (double) f) * (double) f1;
+        if (this.yd > 0.40000000596046448D) {
+            this.yd = 0.40000000596046448D;
         }
     }
 
-    public void onDeath(Entity entityKilledBy)
-    {
-        if(scoreValue >= 0 && entityKilledBy != null)
-        {
-            entityKilledBy.awardKillScore(this, scoreValue);
+    public void onDeath(Entity entityKilledBy) {
+        if (this.scoreValue >= 0 && entityKilledBy != null) {
+            entityKilledBy.awardKillScore(this, this.scoreValue);
         }
-        if(entityKilledBy != null)
-        {
+        if (entityKilledBy != null) {
             entityKilledBy.killed(this);
         }
-        dead = true;
-        if(!world.isClientSide)
-        {
+        this.dead = true;
+        if (!this.world.isClientSide) {
             dropDeathItems();
         }
-        if (vehicle != null){
-            vehicle.ejectRider();
-            vehicle = null;
+        if (this.vehicle != null) {
+            this.vehicle.ejectRider();
+            this.vehicle = null;
         }
-        world.sendTrackedEntityStatusUpdatePacket(this, (byte)3);
-        if (sendDeathMessage(entityKilledBy)){
-            world.sendGlobalMessage(getDeathMessage(entityKilledBy));
+        this.world.sendTrackedEntityStatusUpdatePacket(this, (byte) 3);
+        if (sendDeathMessage(entityKilledBy)) {
+            this.world.sendGlobalMessage(getDeathMessage(entityKilledBy));
         }
     }
 
-    public boolean sendDeathMessage(Entity entityKilledBy){
-        return !nickname.isEmpty();
+    public boolean sendDeathMessage(Entity entityKilledBy) {
+        return !this.nickname.isEmpty();
     }
-    public String getDeathMessage(Entity entityKilledBy){
+
+    public String getDeathMessage(Entity entityKilledBy) {
         final TextFormatting deathMsgColor = TextFormatting.RED;
         final TextFormatting reset = TextFormatting.RESET;
         String name = Entity.getNameFromEntity(this, true);
-        if (entityKilledBy != null){
+        if (entityKilledBy != null) {
             String murdererName = Entity.getNameFromEntity(entityKilledBy, true);
             return String.format("%s%s was killed by %s%s", name, deathMsgColor, reset, murdererName);
         }
-        if (world.isMaterialInBB(bb, Material.lava))
-        {
+        if (this.world.isMaterialInBB(this.bb, Materials.LAVA)) {
             return String.format("%s%s swam in lava.", name, deathMsgColor);
         }
-        if (world.getBlockId(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z)) == Blocks.SPIKES.id())
-        {
+        if (this.world.getBlockId(MathHelper.floor(this.x), MathHelper.floor(this.y), MathHelper.floor(this.z)) == Blocks.SPIKES.id()) {
             return String.format("%s%s got impaled.", name, deathMsgColor);
         }
-        if (fallDistance > 0)
-        {
+        if (this.fallDistance > 0) {
             return String.format("%s%s broke their legs.", name, deathMsgColor);
         }
-        if (airSupply <= 0)
-        {
+        if (this.airSupply <= 0) {
             return String.format("%s%s suffocated.", name, deathMsgColor);
         }
-        if (remainingFireTicks > 0)
-        {
+        if (this.remainingFireTicks > 0) {
             return String.format("%s%s was incinerated.", name, deathMsgColor);
         }
         return String.format("%s%s died", name, deathMsgColor);
     }
-    protected void dropDeathItems()
-    {
+
+    protected void dropDeathItems() {
         List<WeightedRandomLootObject> drops = getMobDrops();
-        if (drops != null){
-            for (WeightedRandomLootObject lootObject : drops){
+        if (drops != null) {
+            for (WeightedRandomLootObject lootObject : drops) {
                 ItemStack stack = lootObject.getItemStack();
                 if (stack == null) continue;
                 for (int i = 0; i < stack.stackSize; i++) {
@@ -706,52 +648,47 @@ public abstract class Mob extends Entity
         }
     }
 
-    protected List<WeightedRandomLootObject> getMobDrops(){
-        return mobDrops;
+    protected List<WeightedRandomLootObject> getMobDrops() {
+        return this.mobDrops;
     }
 
     @Override
-	protected void causeFallDamage(float distance)
-    {
+    protected void causeFallDamage(float distance) {
         super.causeFallDamage(distance);
         int i = (int) java.lang.Math.ceil(distance - 3F);
-        if(i > 0)
-        {
-            if (vehicle == null) {
+        if (i > 0) {
+            if (this.vehicle == null) {
                 hurt(null, i, DamageType.FALL);
             }
-            int j = world.getBlockId(MathHelper.floor(x), MathHelper.floor(y - 0.2D - (double) heightOffset), MathHelper.floor(z));
-            if(j > 0)
-            {
-                world.playBlockSoundEffect(this, this.x, this.y - this.heightOffset, this.z, Blocks.blocksList[j], EnumBlockSoundEffectType.ENTITY_LAND);
+            int j = this.world.getBlockId(MathHelper.floor(this.x), MathHelper.floor(this.y - 0.2D - (double) this.heightOffset), MathHelper.floor(this.z));
+            if (j > 0) {
+                this.world.playBlockSoundEffect(this, this.x, this.y - this.heightOffset, this.z, Blocks.blocksList[j], EnumBlockSoundEffectType.ENTITY_LAND);
             }
         }
     }
 
     public void setFlySpeed(float f) {
-    	this.noclipSpeed = f;
+        this.noclipSpeed = f;
     }
-    
+
     public void setFlightSmoothness(float flightSmoothness) {
-		this.flightSmoothness = flightSmoothness;
-	}
-    
-    public boolean canSkate()
-    {
+        this.flightSmoothness = flightSmoothness;
+    }
+
+    public boolean canSkate() {
         return false;
     }
 
-    public void moveEntityWithHeading(float moveStrafing, float moveForward)
-    {
-        Block<?> floorBlock = world.getBlock(MathHelper.floor(x), MathHelper.floor(bb.minY) - 1, MathHelper.floor(z));
-        Block<?> floorAboveBlock = world.getBlock(MathHelper.floor(x), MathHelper.floor(bb.minY), MathHelper.floor(z));
+    public void moveEntityWithHeading(float moveStrafing, float moveForward) {
+        Block<?> floorBlock = this.world.getBlock(MathHelper.floor(this.x), MathHelper.floor(this.bb.minY) - 1, MathHelper.floor(this.z));
+        Block<?> floorAboveBlock = this.world.getBlock(MathHelper.floor(this.x), MathHelper.floor(this.bb.minY), MathHelper.floor(this.z));
         this.muteStepSounds = false;
         this.isSkating = false;
 
-    	if(noPhysics) {
-    		int vertical = 0;
-    		if(isSneaking()) vertical--;
-    		if(isJumping) vertical++;
+        if (this.noPhysics) {
+            int vertical = 0;
+            if (isSneaking()) vertical--;
+            if (this.isJumping) vertical++;
     		
     		/*
     		// Change 0.50 to 0.25
@@ -762,101 +699,87 @@ public abstract class Mob extends Entity
     			adjustedSpeed = MathHelper.lerp(0.0f, 0.25f, noclipSpeed / 0.5f);
     		}
     		*/
-    		float adjustedSpeed = this.noclipSpeed;
-    		
-    		// 0.25 Speed and 1.00 Smoothness is vanilla creative mode
-    		float flySpeed = MathHelper.lerp(0.5f, 0.1f, flightSmoothness) * 2.0f * adjustedSpeed;
-    		float verticalFlySpeed = MathHelper.lerp(0.3f, 0.15f, flightSmoothness) * 4.0f * (adjustedSpeed > 0.25f ? ((adjustedSpeed) - 0.25f) * 0.5f + 0.25f : 0.25f);
-    		
-    		yd += verticalFlySpeed * vertical;
-    		
-    		moveRelative(moveStrafing, moveForward, flySpeed);
-    		move(xd, yd, zd);
-    		
-    		float mult = MathHelper.lerp(0.5f, 0.91f, flightSmoothness);
-    		float verticalMult = MathHelper.lerp(0.4f, 0.6f, flightSmoothness);
-    		
-    		xd *= mult;
-    		yd *= verticalMult;
-    		zd *= mult;
-    	}
-    	else if(isInWater())
-        {
-            double d = y;
+            float adjustedSpeed = this.noclipSpeed;
+
+            // 0.25 Speed and 1.00 Smoothness is vanilla creative mode
+            float flySpeed = MathHelper.lerp(0.5f, 0.1f, this.flightSmoothness) * 2.0f * adjustedSpeed;
+            float verticalFlySpeed = MathHelper.lerp(0.3f, 0.15f, this.flightSmoothness) * 4.0f * (adjustedSpeed > 0.25f ? ((adjustedSpeed) - 0.25f) * 0.5f + 0.25f : 0.25f);
+
+            this.yd += verticalFlySpeed * vertical;
+
+            moveRelative(moveStrafing, moveForward, flySpeed);
+            move(this.xd, this.yd, this.zd);
+
+            float mult = MathHelper.lerp(0.5f, 0.91f, this.flightSmoothness);
+            float verticalMult = MathHelper.lerp(0.4f, 0.6f, this.flightSmoothness);
+
+            this.xd *= mult;
+            this.yd *= verticalMult;
+            this.zd *= mult;
+        } else if (isInWater()) {
+            double d = this.y;
             moveRelative(moveStrafing, moveForward, 0.02F);
-            move(xd, yd, zd);
-            xd *= 0.8D;
-            yd *= 0.8D;
-            zd *= 0.8D;
-            yd -= 0.02D;
-            int blockX = MathHelper.floor(x);
-            int blockY = MathHelper.floor(y - heightOffset);
-            int blockZ = MathHelper.floor(z);
-            Block<?> b = world.getBlock(blockX, blockY, blockZ);
+            move(this.xd, this.yd, this.zd);
+            this.xd *= 0.8D;
+            this.yd *= 0.8D;
+            this.zd *= 0.8D;
+            this.yd -= 0.02D;
+            int blockX = MathHelper.floor(this.x);
+            int blockY = MathHelper.floor(this.y - this.heightOffset);
+            int blockZ = MathHelper.floor(this.z);
+            Block<?> b = this.world.getBlock(blockX, blockY, blockZ);
             float depth = 0.6f;
             if (b != null) {
-                depth = 1 - (float) b.getBlockBoundsFromState(world, blockX, blockY, blockZ).maxY;
+                depth = 1 - (float) b.getBlockBoundsFromState(this.world, blockX, blockY, blockZ).maxY();
             }
-            if(horizontalCollision && isFree(xd, ((yd + depth + 0.2) - y) + d, zd))
-            {
-                yd = 0.3D;
+            if (this.horizontalCollision && isFree(this.xd, ((this.yd + depth + 0.2) - this.y) + d, this.zd)) {
+                this.yd = 0.3D;
             }
-        }
-        else if(isInLava())
-        {
-            double d1 = y;
+        } else if (isInLava()) {
+            double d1 = this.y;
             moveRelative(moveStrafing, moveForward, 0.02F);
-            move(xd, yd, zd);
-            xd *= 0.5D;
-            yd *= 0.5D;
-            zd *= 0.5D;
-            yd -= 0.02D;
-            if(horizontalCollision && isFree(xd, ((yd + 0.6D) - y) + d1, zd))
-            {
-                yd = 0.3D;
+            move(this.xd, this.yd, this.zd);
+            this.xd *= 0.5D;
+            this.yd *= 0.5D;
+            this.zd *= 0.5D;
+            this.yd -= 0.02D;
+            if (this.horizontalCollision && isFree(this.xd, ((this.yd + 0.6D) - this.y) + d1, this.zd)) {
+                this.yd = 0.3D;
             }
-        }
-        else if (canSkate() && BlockTags.SKATEABLE.appliesTo(floorBlock))
-        {
-            muteStepSounds = true;
-            isSkating = true;
-            move(xd, yd, zd);
-            xd *= 0.99D;
-            zd *= 0.99D;
-            yd -= 0.08D;
-            yd *= 0.98D;
-            double speedSquared = (xd * xd) + (zd * zd);
-            if (Math.abs(xd) < 0.001D) xd = 0.0D;
-            if (Math.abs(zd) < 0.001D) zd = 0.0D;
-            if (isSneaking())
-            {
-                xd *= 0.8D;
-                zd *= 0.8D;
-                world.playSoundAtEntity(null, this, "random.skate", (float)Math.sqrt(speedSquared) * 2.0f + random.nextFloat() * 0.2f - 0.25f, 1.75f + (random.nextFloat() * 0.4f - 0.2f));
+        } else if (canSkate() && BlockTags.SKATEABLE.appliesTo(floorBlock)) {
+            this.muteStepSounds = true;
+            this.isSkating = true;
+            move(this.xd, this.yd, this.zd);
+            this.xd *= 0.99D;
+            this.zd *= 0.99D;
+            this.yd -= 0.08D;
+            this.yd *= 0.98D;
+            double speedSquared = (this.xd * this.xd) + (this.zd * this.zd);
+            if (Math.abs(this.xd) < 0.001D) this.xd = 0.0D;
+            if (Math.abs(this.zd) < 0.001D) this.zd = 0.0D;
+            if (isSneaking()) {
+                this.xd *= 0.8D;
+                this.zd *= 0.8D;
+                this.world.playSoundAtEntity(null, this, "random.skate", (float) Math.sqrt(speedSquared) * 2.0f + this.random.nextFloat() * 0.2f - 0.25f, 1.75f + (this.random.nextFloat() * 0.4f - 0.2f));
             }
-            if ((lastStrafe < 0 && moveStrafing > 0) || (lastStrafe > 0 && moveStrafing < 0))
-            {
+            if ((this.lastStrafe < 0 && moveStrafing > 0) || (this.lastStrafe > 0 && moveStrafing < 0)) {
                 moveRelative(moveStrafing * 0.1f, 0.0f, 0.125f);
                 float speedBoost = 0.025f;
                 float maxSpeed = 0.5f;
-                float dx = MathHelper.sin((yRot * MathHelper.PI) / 180F);
-                float dz = MathHelper.cos((yRot * MathHelper.PI) / 180F);
-                double newMotionX = xd - speedBoost * dx;
-                double newMotionZ = zd + speedBoost * dz;
-                if ((newMotionX * newMotionX) + (newMotionZ * newMotionZ) < maxSpeed * maxSpeed)
-                {
-                    xd = newMotionX;
-                    zd = newMotionZ;
+                float dx = MathHelper.sin((this.yRot * MathHelper.PI) / 180F);
+                float dz = MathHelper.cos((this.yRot * MathHelper.PI) / 180F);
+                double newMotionX = this.xd - speedBoost * dx;
+                double newMotionZ = this.zd + speedBoost * dz;
+                if ((newMotionX * newMotionX) + (newMotionZ * newMotionZ) < maxSpeed * maxSpeed) {
+                    this.xd = newMotionX;
+                    this.zd = newMotionZ;
                 }
-                world.playSoundAtEntity(null, this, "random.skate", (float)Math.sqrt(speedSquared) * 0.75f + random.nextFloat() * 0.2f, 2f + (random.nextFloat() * 0.4f - 0.2f));
+                this.world.playSoundAtEntity(null, this, "random.skate", (float) Math.sqrt(speedSquared) * 0.75f + this.random.nextFloat() * 0.2f, 2f + (this.random.nextFloat() * 0.4f - 0.2f));
             }
-            if (moveStrafing != 0) lastStrafe = moveStrafing;
-        }
-        else
-        {
+            if (moveStrafing != 0) this.lastStrafe = moveStrafing;
+        } else {
             float movementScale = 0.91F;
-            if(onGround)
-            {
+            if (this.onGround) {
                 movementScale = 0.5460001F;
                 if (BlockTags.OVERRIDE_FRICTION.appliesTo(floorAboveBlock)) {
                     movementScale = floorAboveBlock.friction * 0.91F;
@@ -866,74 +789,63 @@ public abstract class Mob extends Entity
             }
 
             float f3 = 0.1627714F / (movementScale * movementScale * movementScale);
-            moveRelative(moveStrafing, moveForward, onGround ? speed * f3 : flySpeed);
-            if(canClimb())
-            {
+            moveRelative(moveStrafing, moveForward, this.onGround ? this.speed * f3 : this.flySpeed);
+            if (canClimb()) {
                 float f4 = 0.15F;
-                if(xd < (double)(-f4))
-                {
-                    xd = -f4;
+                if (this.xd < (double) (-f4)) {
+                    this.xd = -f4;
                 }
-                if(xd > (double)f4)
-                {
-                    xd = f4;
+                if (this.xd > (double) f4) {
+                    this.xd = f4;
                 }
-                if(zd < (double)(-f4))
-                {
-                    zd = -f4;
+                if (this.zd < (double) (-f4)) {
+                    this.zd = -f4;
                 }
-                if(zd > (double)f4)
-                {
-                    zd = f4;
+                if (this.zd > (double) f4) {
+                    this.zd = f4;
                 }
-                fallDistance = 0.0F;
-                if(yd < -0.25D)
-                {
-                    yd = -0.25D;
+                this.fallDistance = 0.0F;
+                if (this.yd < -0.25D) {
+                    this.yd = -0.25D;
                 }
-                if(isSneaking() && yd < 0.0D)
-                {
-                    yd = 0.0D;
+                if (isSneaking() && this.yd < 0.0D) {
+                    this.yd = 0.0D;
                 }
             }
-            move(xd, yd, zd);
-            if((horizontalCollision || isJumping) && canClimb())
-            {
-                yd = 0.25D;
+            move(this.xd, this.yd, this.zd);
+            if ((this.horizontalCollision || this.isJumping) && canClimb()) {
+                this.yd = 0.25D;
             }
-            if (!onGround){
-                movementScale = MathHelper.lerp(movementScale, 1f, pushTime);
+            if (!this.onGround) {
+                movementScale = MathHelper.lerp(movementScale, 1f, this.pushTime);
             }
-            yd -= 0.08D;
-            yd *= 0.98D;
-            xd *= movementScale;
-            zd *= movementScale;
-        }
-        walkAnimSpeedO = walkAnimSpeed;
-        double d2 = x - xo;
-        double d3 = z - zo;
+            this.yd -= 0.08D;
+            this.yd *= 0.98D;
+            this.xd *= movementScale;
+            this.zd *= movementScale;
+        }
+        this.walkAnimSpeedO = this.walkAnimSpeed;
+        double d2 = this.x - this.xo;
+        double d3 = this.z - this.zo;
         float f5 = MathHelper.sqrt(d2 * d2 + d3 * d3) * 4F;
-        if(f5 > 1.0F)
-        {
+        if (f5 > 1.0F) {
             f5 = 1.0F;
         }
-        walkAnimSpeed += (f5 - walkAnimSpeed) * 0.4F;
-        walkAnimPos += walkAnimSpeed;
+        this.walkAnimSpeed += (f5 - this.walkAnimSpeed) * 0.4F;
+        this.walkAnimPos += this.walkAnimSpeed;
     }
 
-    public boolean canClimb()
-    {
-        int i = MathHelper.floor(x);
-        int j = MathHelper.floor(bb.minY);
-        int k = MathHelper.floor(z);
-        Block<?> block = world.getBlock(i, j, k);
-        return block != null && block.isClimbable(world, i, j, k);
+    public boolean canClimb() {
+        int i = MathHelper.floor(this.x);
+        int j = MathHelper.floor(this.bb.minY);
+        int k = MathHelper.floor(this.z);
+        Block<?> block = this.world.getBlock(i, j, k);
+        return block != null && block.isClimbable(this.world, i, j, k);
     }
 
     @Override
-	public void addAdditionalSaveData(@NotNull final CompoundTag tag)
-    {
-        tag.putShort("Health", (short)getHealth());
+    public void addAdditionalSaveData(@NotNull final CompoundTag tag) {
+        tag.putShort("Health", (short) getHealth());
         tag.putShort("HurtTime", (short) this.hurtTime);
         tag.putShort("DeathTime", (short) this.deathTime);
         tag.putShort("AttackTime", (short) this.attackTime);
@@ -944,11 +856,9 @@ public abstract class Mob extends Entity
     }
 
     @Override
-	public void readAdditionalSaveData(@NotNull final CompoundTag tag)
-    {
+    public void readAdditionalSaveData(@NotNull final CompoundTag tag) {
         setHealthRaw(tag.getShort("Health"));
-        if(!tag.containsKey("Health"))
-        {
+        if (!tag.containsKey("Health")) {
             setHealthRaw(getMaxHealth());
         }
         this.hurtTime = tag.getShort("HurtTime");
